मुख्य सामग्री पर जाएं
POST
/
presets
Create a preset
curl --request POST \
  --url https://api.youka.io/api/v1/presets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "preset": {
    "aspectRatio": "16:9",
    "layout": {
      "type": "karaoke",
      "autoSplitLongLines": true,
      "linesPerScreen": 2,
      "alignment": "bottom",
      "paddingHorizontal": 0,
      "paddingVertical": 5,
      "languageSpacing": 5,
      "containerHeight": 100,
      "scrollingFadeStrength": 0.5,
      "lineTransition": "fade",
      "anticipationBuffer": 3
    },
    "background": {
      "type": "auto"
    },
    "singerTextStyles": {},
    "overlays": {
      "branding": {
        "logo": {
          "enabled": false,
          "position": "bottom-right",
          "paddingX": 20,
          "paddingY": 20,
          "scale": 0.1,
          "opacity": 1
        },
        "intro": {
          "enabled": false,
          "durationSeconds": 0,
          "effect": "fade",
          "effectDuration": 0.5
        },
        "outro": {
          "enabled": false,
          "durationSeconds": 0,
          "effect": "fade",
          "effectDuration": 0.5
        }
      },
      "titleCard": {
        "enabled": true,
        "duration": 5,
        "autoHideBeforeLyrics": true,
        "titleStyle": {
          "fontFamily": "Arimo",
          "fontSize": 200,
          "fontWeight": 700,
          "textColor": "#2185D0",
          "outlineColor": "#000000",
          "outlineWidth": 30
        },
        "artistStyle": {
          "fontFamily": "Arimo",
          "fontSize": 150,
          "fontWeight": 700,
          "textColor": "#FFFFFF",
          "outlineColor": "#000000",
          "outlineWidth": 30
        }
      },
      "leadIn": {
        "enabled": true,
        "beats": 4,
        "minGap": 3,
        "useNextSingerStyle": true,
        "style": {
          "color": "#2185D0",
          "outlineColor": "#000000",
          "outlineWidth": 3
        },
        "width": 0.2,
        "height": 1,
        "offsetX": -2,
        "offsetY": 0
      },
      "instrumentalBreak": {
        "hideLyrics": true,
        "minGap": 5,
        "displayDuration": 3
      },
      "breakCountdown": {
        "enabled": true,
        "maxDuration": 3,
        "animation": "fade",
        "useNextSingerStyle": false,
        "style": {
          "color": "#FFFFFF",
          "outlineColor": "#000000",
          "outlineWidth": 14.5
        },
        "textSize": 80,
        "hideBeforeEnd": 0
      },
      "breakProgressBar": {
        "enabled": true,
        "maxDuration": 10,
        "useNextSingerStyle": false,
        "style": {
          "color": "#2185D0",
          "outlineColor": "#000000",
          "outlineWidth": 5,
          "backgroundColor": "#FFFFFF",
          "fillColor": "#2185D0"
        },
        "width": 47,
        "height": 7.5,
        "position": "center",
        "cornerRadius": 0,
        "hideBeforeEnd": 0
      }
    },
    "trim": {
      "startSeconds": 0,
      "endSeconds": 0
    },
    "languageTextStyles": {}
  },
  "isDefault": true
}
'
import requests

url = "https://api.youka.io/api/v1/presets"

payload = {
"name": "<string>",
"preset": {
"aspectRatio": "16:9",
"layout": {
"type": "karaoke",
"autoSplitLongLines": True,
"linesPerScreen": 2,
"alignment": "bottom",
"paddingHorizontal": 0,
"paddingVertical": 5,
"languageSpacing": 5,
"containerHeight": 100,
"scrollingFadeStrength": 0.5,
"lineTransition": "fade",
"anticipationBuffer": 3
},
"background": { "type": "auto" },
"singerTextStyles": {},
"overlays": {
"branding": {
"logo": {
"enabled": False,
"position": "bottom-right",
"paddingX": 20,
"paddingY": 20,
"scale": 0.1,
"opacity": 1
},
"intro": {
"enabled": False,
"durationSeconds": 0,
"effect": "fade",
"effectDuration": 0.5
},
"outro": {
"enabled": False,
"durationSeconds": 0,
"effect": "fade",
"effectDuration": 0.5
}
},
"titleCard": {
"enabled": True,
"duration": 5,
"autoHideBeforeLyrics": True,
"titleStyle": {
"fontFamily": "Arimo",
"fontSize": 200,
"fontWeight": 700,
"textColor": "#2185D0",
"outlineColor": "#000000",
"outlineWidth": 30
},
"artistStyle": {
"fontFamily": "Arimo",
"fontSize": 150,
"fontWeight": 700,
"textColor": "#FFFFFF",
"outlineColor": "#000000",
"outlineWidth": 30
}
},
"leadIn": {
"enabled": True,
"beats": 4,
"minGap": 3,
"useNextSingerStyle": True,
"style": {
"color": "#2185D0",
"outlineColor": "#000000",
"outlineWidth": 3
},
"width": 0.2,
"height": 1,
"offsetX": -2,
"offsetY": 0
},
"instrumentalBreak": {
"hideLyrics": True,
"minGap": 5,
"displayDuration": 3
},
"breakCountdown": {
"enabled": True,
"maxDuration": 3,
"animation": "fade",
"useNextSingerStyle": False,
"style": {
"color": "#FFFFFF",
"outlineColor": "#000000",
"outlineWidth": 14.5
},
"textSize": 80,
"hideBeforeEnd": 0
},
"breakProgressBar": {
"enabled": True,
"maxDuration": 10,
"useNextSingerStyle": False,
"style": {
"color": "#2185D0",
"outlineColor": "#000000",
"outlineWidth": 5,
"backgroundColor": "#FFFFFF",
"fillColor": "#2185D0"
},
"width": 47,
"height": 7.5,
"position": "center",
"cornerRadius": 0,
"hideBeforeEnd": 0
}
},
"trim": {
"startSeconds": 0,
"endSeconds": 0
},
"languageTextStyles": {}
},
"isDefault": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
preset: {
aspectRatio: '16:9',
layout: {
type: 'karaoke',
autoSplitLongLines: true,
linesPerScreen: 2,
alignment: 'bottom',
paddingHorizontal: 0,
paddingVertical: 5,
languageSpacing: 5,
containerHeight: 100,
scrollingFadeStrength: 0.5,
lineTransition: 'fade',
anticipationBuffer: 3
},
background: {type: 'auto'},
singerTextStyles: {},
overlays: {
branding: {
logo: {
enabled: false,
position: 'bottom-right',
paddingX: 20,
paddingY: 20,
scale: 0.1,
opacity: 1
},
intro: {enabled: false, durationSeconds: 0, effect: 'fade', effectDuration: 0.5},
outro: {enabled: false, durationSeconds: 0, effect: 'fade', effectDuration: 0.5}
},
titleCard: {
enabled: true,
duration: 5,
autoHideBeforeLyrics: true,
titleStyle: {
fontFamily: 'Arimo',
fontSize: 200,
fontWeight: 700,
textColor: '#2185D0',
outlineColor: '#000000',
outlineWidth: 30
},
artistStyle: {
fontFamily: 'Arimo',
fontSize: 150,
fontWeight: 700,
textColor: '#FFFFFF',
outlineColor: '#000000',
outlineWidth: 30
}
},
leadIn: {
enabled: true,
beats: 4,
minGap: 3,
useNextSingerStyle: true,
style: {color: '#2185D0', outlineColor: '#000000', outlineWidth: 3},
width: 0.2,
height: 1,
offsetX: -2,
offsetY: 0
},
instrumentalBreak: {hideLyrics: true, minGap: 5, displayDuration: 3},
breakCountdown: {
enabled: true,
maxDuration: 3,
animation: 'fade',
useNextSingerStyle: false,
style: {color: '#FFFFFF', outlineColor: '#000000', outlineWidth: 14.5},
textSize: 80,
hideBeforeEnd: 0
},
breakProgressBar: {
enabled: true,
maxDuration: 10,
useNextSingerStyle: false,
style: {
color: '#2185D0',
outlineColor: '#000000',
outlineWidth: 5,
backgroundColor: '#FFFFFF',
fillColor: '#2185D0'
},
width: 47,
height: 7.5,
position: 'center',
cornerRadius: 0,
hideBeforeEnd: 0
}
},
trim: {startSeconds: 0, endSeconds: 0},
languageTextStyles: {}
},
isDefault: true
})
};

fetch('https://api.youka.io/api/v1/presets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "isDefault": true,
  "preset": {
    "aspectRatio": "16:9",
    "layout": {
      "type": "karaoke",
      "autoSplitLongLines": true,
      "linesPerScreen": 2,
      "alignment": "bottom",
      "paddingHorizontal": 0,
      "paddingVertical": 5,
      "languageSpacing": 5,
      "containerHeight": 100,
      "scrollingFadeStrength": 0.5,
      "lineTransition": "fade",
      "anticipationBuffer": 3
    },
    "background": {
      "type": "auto"
    },
    "singerTextStyles": {},
    "overlays": {
      "branding": {
        "logo": {
          "enabled": false,
          "position": "bottom-right",
          "paddingX": 20,
          "paddingY": 20,
          "scale": 0.1,
          "opacity": 1
        },
        "intro": {
          "enabled": false,
          "durationSeconds": 0,
          "effect": "fade",
          "effectDuration": 0.5
        },
        "outro": {
          "enabled": false,
          "durationSeconds": 0,
          "effect": "fade",
          "effectDuration": 0.5
        }
      },
      "titleCard": {
        "enabled": true,
        "duration": 5,
        "autoHideBeforeLyrics": true,
        "titleStyle": {
          "fontFamily": "Arimo",
          "fontSize": 200,
          "fontWeight": 700,
          "textColor": "#2185D0",
          "outlineColor": "#000000",
          "outlineWidth": 30
        },
        "artistStyle": {
          "fontFamily": "Arimo",
          "fontSize": 150,
          "fontWeight": 700,
          "textColor": "#FFFFFF",
          "outlineColor": "#000000",
          "outlineWidth": 30
        }
      },
      "leadIn": {
        "enabled": true,
        "beats": 4,
        "minGap": 3,
        "useNextSingerStyle": true,
        "style": {
          "color": "#2185D0",
          "outlineColor": "#000000",
          "outlineWidth": 3
        },
        "width": 0.2,
        "height": 1,
        "offsetX": -2,
        "offsetY": 0
      },
      "instrumentalBreak": {
        "hideLyrics": true,
        "minGap": 5,
        "displayDuration": 3
      },
      "breakCountdown": {
        "enabled": true,
        "maxDuration": 3,
        "animation": "fade",
        "useNextSingerStyle": false,
        "style": {
          "color": "#FFFFFF",
          "outlineColor": "#000000",
          "outlineWidth": 14.5
        },
        "textSize": 80,
        "hideBeforeEnd": 0
      },
      "breakProgressBar": {
        "enabled": true,
        "maxDuration": 10,
        "useNextSingerStyle": false,
        "style": {
          "color": "#2185D0",
          "outlineColor": "#000000",
          "outlineWidth": 5,
          "backgroundColor": "#FFFFFF",
          "fillColor": "#2185D0"
        },
        "width": 47,
        "height": 7.5,
        "position": "center",
        "cornerRadius": 0,
        "hideBeforeEnd": 0
      }
    },
    "trim": {
      "startSeconds": 0,
      "endSeconds": 0
    },
    "languageTextStyles": {},
    "chordTextStyle": {
      "fontFamily": "Arimo",
      "fontSize": 96,
      "fontWeight": 700,
      "textColor": "#FFFFFF",
      "outlineColor": "#000000",
      "outlineWidth": 20,
      "textEffect": "karaoke",
      "activeLineColor": "#fff09a",
      "effectColor": "#2185D0",
      "backgroundColor": "transparent",
      "letterSpacing": 0,
      "lineSpacing": 1.2,
      "textCase": "none",
      "textDirection": "auto",
      "shadowColor": "rgba(0,0,0,0.5)",
      "shadowBlur": 4,
      "shadowOffsetX": 0,
      "shadowOffsetY": 0,
      "duetPosition": "center",
      "shadowOpacity": 123
    }
  },
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

प्राधिकरण

Authorization
string
header
आवश्यक

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

हेडर

Idempotency-Key
string

बॉडी

application/json
name
string
आवश्यक
Required string length: 1 - 100
preset
object
आवश्यक
isDefault
boolean

प्रतिक्रिया

200 - application/json

Preset created

id
string
आवश्यक
name
string
आवश्यक
isDefault
boolean
आवश्यक
preset
object
आवश्यक
createdAt
string
आवश्यक
updatedAt
string
आवश्यक